- job:
    name: mmwg-openembedded-widevine-dunfell
    project-type: matrix
    defaults: global
    properties:
        - authorization:
            everyone-flat:
                - job-read
            private-security-widevine:
                - job-read
                - job-extended-read
                - job-build
                - job-cancel
        - build-discarder:
            days-to-keep: 30
            num-to-keep: 30
            artifact-num-to-keep: 1
    parameters:
        - string:
            name: IMAGES
            default: 'rpb-console-widevine lhg-westeros-wpe-image'
        - string:
            name: MANIFEST_URL
            default: 'https://github.com/linaro-mmwg/lhg-oe-manifests.git'
        - string:
            name: MANIFEST_BRANCH_PREFIX
            default: 'drm/'
        - string:
            name: MANIFEST_BRANCH
            default: 'dunfell'
        - string:
            name: BASE_URL
            default: 'http://snapshots.linaro.org/'
        - string:
            name: PUB_DEST
            default: 'openembedded/pre-built/mmwg-widevine/${MANIFEST_BRANCH}/${MACHINE}/${BUILD_NUMBER}/${DISTRO}'
        - string:
            name: GIT_SSH_COMMAND
            default: 'ssh -F ${HOME}/lhg-review.sshconfig'
        - string:
            name: AUTH_GROUPS
            default: 'private-security-widevine'
    disabled: true
    node: master
    display-name: 'DELETE ME'
    axes:
        - axis:
            type: user-defined
            name: MACHINE
            values:
                - 'imx8mqevk'
        - axis:
            type: user-defined
            name: DISTRO
            values:
                - rpb-wayland
        - axis:
            type: slave
            name: label
            values:
                - docker-stretch-amd64-lhg
    execution-strategy:
        sequential: false
    wrappers:
        - timestamps
        - ssh-agent-credentials:
            users:
                - '8ed98f80-b4d8-4861-9a8a-15f1e89ba083'
    builders:
        - shell:
            !include-raw: rpb-openembedded/builders-lhg.sh
        - inject:
            properties-file: post_build_lava_parameters
        - linaro-publish-token
        - shell:
            !include-raw: rpb-openembedded/buildinfo-protected.sh
        - shell:
            !include-raw: rpb-openembedded/publishers.sh
